//
//  SearchPluginFlexView.h
//  iSale
//
//  Created by Claudia Brak on 1/7/08.
//  Copyright 2008 equinux AG. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#define DEFAULT_WIDTH 750
#define DEFAULT_HEIGHT 165


@interface SearchPluginFlexView : NSScrollView 
{
	NSMutableArray *searchPluginItemArray;
	NSAttributedString *noResults;
	BOOL searchStopped;
}


- (void)addSearchPluginItemWithAuctionDescriptionDict:(NSDictionary *)anAuctionDescriptionDict
							localizedAuctionValueDict:(NSDictionary *)aLocalizedAuctionValueDict
									   sortedKeyArray:(NSArray *)aSortedKeyArray;

- (void)addSearchPluginItemWithAuctionDescriptionDict:(NSDictionary *)anAuctionDescriptionDict
									   sortedKeyArray:(NSArray *)aSortedKeyArray;

- (void)addeBaySearchPluginItemWithAuctionDescriptionDict:(NSDictionary *)anAuctionDescriptionDict
										   sortedKeyArray:(NSArray *)aSortedKeyArray;


- (void)searchStarted;
- (void)searchStopped;
- (void)clearResults;


- (NSInteger)numberOfSubviews;


@end
